#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire1200seven4xi .py">
#<abstract4xi abstract = "fires to direction seven and to distance 1200"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire1200seven4xi ']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SEVEN - COORDINATE SIGNS OF SHOOT2SEVEN4XI: (X - ,Y - ,Z + )
# -------------------------------------------------------------------------------------------------    
global shot2seven12004xi


#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False
shot2seven12004xi = {
                1:'-1008x-327y561z',
                2:'-1010x-637y110z',
                3:'-1018x-272y572z',
                4:'-1026x-218y582z',
                5:'-1030x-163y593z',
                6:'-1031x-108y603z',
                7:'-1041x-583y122z',
                8:'-105x-1063y545z',
                9:'-1069x-527y134z',
                10:'-1094x-470y146z',
                11:'-109x-584y1042z',
                12:'-1115x-411y158z',
                13:'-1134x-352y170z',
                14:'-1149x-292y182z',
                15:'-11x-11y1199z',
                16:'-11x-171y1187z',
                17:'-120x-1151y316z',
                18:'-137x-567y1048z',
                19:'-160x-1050y556z',
                20:'-163x-549y1053z',
                21:'-17x-625y1024z',
                22:'-180x-1139y328z',
                23:'-188x-530y1059z',
                24:'-18x-21y1199z',
                25:'-19x-158y1189z',
                26:'-212x-510y1065z',
                27:'-213x-1035y567z',
                28:'-233x-488y1070z',
                29:'-239x-1125y339z',
                30:'-24x-32y1199z',
                31:'-253x-466y1076z',
                32:'-25x-145y1190z',
                33:'-266x-1017y577z',
                34:'-272x-443y1081z',
                35:'-289x-419y1086z',
                36:'-296x-1108y351z',
                37:'-29x-43y1198z',
                38:'-2x-183y1185z',
                39:'-303x-395y1091z',
                40:'-30x-132y1192z',
                41:'-317x-370y1096z',
                42:'-317x-996y588z',
                43:'-328x-345y1101z',
                44:'-32x-55y1198z',
                45:'-335x-61y1150z',
                46:'-338x-320y1105z',
                47:'-33x-119y1193z',
                48:'-343x-81y1146z',
                49:'-345x-294y1110z',
                50:'-349x-103y1143z',
                51:'-352x-269y1115z',
                52:'-353x-1087y362z',
                53:'-354x-124y1139z',
                54:'-356x-244y1119z',
                55:'-357x-147y1135z',
                56:'-359x-171y1131z',
                57:'-359x-219y1123z',
                58:'-35x-67y1197z',
                59:'-360x-195y1127z',
                60:'-367x-973y598z',
                61:'-36x-106y1194z',
                62:'-37x-80y1196z',
                63:'-37x-92y1195z',
                64:'-3x-2y1199z',
                65:'-408x-1064y374z',
                66:'-415x-946y609z',
                67:'-458x-386y1039z',
                68:'-461x-918y619z',
                69:'-462x-1038y385z',
                70:'-469x-355y1045z',
                71:'-479x-325y1051z',
                72:'-482x-452y1119z',
                73:'-486x-294y1056z',
                74:'-491x-263y1062z',
                75:'-495x-232y1067z',
                76:'-496x-202y1073z',
                77:'-49x-1072y535z',
                78:'-49x-613y1030z',
                79:'-505x-887y629z',
                80:'-514x-1008y397z',
                81:'-547x-854y639z',
                82:'-564x-977y408z',
                83:'-588x-819y649z',
                84:'-60x-1158y305z',
                85:'-612x-942y419z',
                86:'-613x-1031y2z',
                87:'-626x-782y659z',
                88:'-658x-906y430z',
                89:'-661x-743y669z',
                90:'-666x-997y14z',
                91:'-695x-703y679z',
                92:'-702x-867y441z',
                93:'-717x-961y26z',
                94:'-725x-661y689z',
                95:'-743x-825y453z',
                96:'-754x-618y699z',
                97:'-766x-922y38z',
                98:'-779x-573y709z',
                99:'-782x-782y464z',
                100:'-79x-599y1036z',
                101:'-802x-528y718z',
                102:'-813x-880y50z',
                103:'-818x-737y475z',
                104:'-823x-481y728z',
                105:'-840x-434y737z',
                106:'-852x-690y486z',
                107:'-855x-386y747z',
                108:'-858x-836y62z',
                109:'-867x-338y756z',
                110:'-876x-290y766z',
                111:'-883x-242y775z',
                112:'-883x-641y497z',
                113:'-887x-194y784z',
                114:'-900x-789y74z',
                115:'-911x-592y508z',
                116:'-937x-540y518z',
                117:'-939x-741y86z',
                118:'-959x-488y529z',
                119:'-976x-690y98z',
                120:'-978x-435y540z',
                121:'-995x-381y551z',
                122:'0x-1163y293z'}
         
#"
#/>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire1200seven4xi " usage = "target function for charge2seven4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire1200seven4xi (queue2seven, consumer_channel2seven, publisher_channel2seven):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE1200SEVEN4XI - STARTED TIME: ", time2start)
        #  
        
        print("\n (STEP 1A2/33) OF FIRE1200SEVEN4XI -  QUEUE2SEVEN: ", queue2seven)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE1200SEVEN4XI -  CONSUMER_CHANNEL2SEVEN: ", consumer_channel2seven)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE1200SEVEN4XI -  PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE1200SEVEN4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2seven.put(shot2seven12004xi) 
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE1200SEVEN4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE1200SEVEN4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE1200SEVEN4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2seven8shot2seven12004xi </ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2seven8shot2seven12004xi </nack2put4xi>" 
            
        publisher_channel2seven.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE1200SEVEN4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE1200SEVEN4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE1200SEVEN4XI - RETURNING QUEUE OBJECT QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi())  
        # 
            
    return queue2seven    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire1200seven4xi .py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>

       